package com.nmgs.service;


import com.alibaba.fastjson.JSONArray;
import com.nmgs.entity.PayIntegrationNumber;

import java.util.List;
import java.util.Map;

public interface IPayIntegrationNumberService {

    /**
     * 获取配置信息
     * @return
     */
    List<PayIntegrationNumber> getPayIntegrationNumberList();

    /**
     * 保存配置信息
     * @param payIntegrationNumber
     * @return
     */
    int savePayIntegrationNumber(List<PayIntegrationNumber> payIntegrationNumber);

    /**
     * 获取每日积分增长量
     * @param params
     * @return
     */
    JSONArray getIntegrationGrowTotal(Map<String, Object> params);

    /**
     * 获取车辆积分增长量排名
     * @param params
     * @return
     */
    List<Map<String,Object>>  getCarIntegrationGrowTotal(Map<String, Object> params);

    /**
     * 月增长积分，月消费积分
     * @param params
     * @return
     */
    Map<String,Object> getMonthFeeTotal(Map<String, Object> params);

    /**
     * 获取消费积分分类占比
     * @param params
     * @return
     */
    List<Map<String,Object>> getFeeTypeTotal(Map<String, Object> params);

    /**
     * 获取里程积分各路段占比
     * @param params
     * @return
     */
    List<Map<String,Object>> getMileScoreType(Map<String, Object> params);
}
